Package org.apache.ignite.plugin

## Interface CacheTopologyValidatorProvider

All Superinterfaces:
  `Extension`

    public interface CacheTopologyValidatorProvider
    extends Extension

The `CacheTopologyValidatorProvider` is used to pass an implementation of `TopologyValidator`s for a specific cache through Ignite plugin extensions mechanism. Each cache, on startup, iterates over all registered `CacheTopologyValidatorProvider`s and tries to obtain the instance of `TopologyValidator` by cache name. All obtained `TopologyValidator`s are saved in the cache context and successively called during topology validation process. The topology validation is passed if all `TopologyValidator`s consider that the current topology is valid.

See Also:
  `TopologyValidator`, `Extension`, `PluginProvider.initExtensions(PluginContext, ExtensionRegistry)`

### Method Summary

All Methods Instance Methods Abstract Methods
`TopologyValidator` `topologyValidator​(String cacheName)` Provides instance of `TopologyValidator` for the cache with specified name.

### Method Detail

#### topologyValidator

    TopologyValidator topologyValidator​(String cacheName)

Provides instance of `TopologyValidator` for the cache with specified name.

Parameters:
  `cacheName` - Name of the cache or cache group.
Returns:
  Instance of topology validator for the cache with specified name.